package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fsa;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface FsaMapper {

    int insert(Fsa record);

    int insertSelective(Fsa record);

    int updateByPrimaryKeySelective(Fsa record);

    int updateByPrimaryKey(Fsa record);

    int deleteByPrimaryKey(Fsa record);

    int deleteByIds(Collection<Object> collection);

    Fsa selectByPrimaryKey(Fsa record);

    Fsa selectByFininr(@Param("fininr") String fininr);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Fsa> dyncRead(Map<String,Object> dyncMap);

    int deleteByInr(String inr);

    Fsa selectByInr(@Param("inr") String inr);

    String selectValidInr(@Param("fininr") String fininr);

    List<Fsa> selectByConditions(Fsa record);

}